Bug 1423470 - Running any rake task gives a warning message before runnning
Summary: Running any rake task gives a warning message before runnning
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.2
Assignee: Joe Rafaniello
QA Contact: luke couzens
URL:
Whiteboard: black
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-17 11:52 UTC by luke couzens
Modified: 2017-04-12 14:38 UTC (History)
7 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-12 14:38:31 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Description luke couzens 2017-02-17 11:52:27 UTC
Description of problem:When running any rake task on an appliance we see a warning message before the rake task runs.


Version-Release number of selected component (if applicable):5.7.1.2


How reproducible:100%


Steps to Reproduce:
1.provision appliance
2.ssh to appliance
3.run vmdb
4.run any rake task such as 'rake about'

Actual results:/var/www/miq/vmdb/app/models/mixins/supports_feature_mixin.rb:103: warning: key :terminate is duplicated and overwritten on line 111



Expected results:No warning messages


Additional info:

Comment 2 Joe Rafaniello 2017-02-20 18:36:29 UTC
Note, this doesn't affect upstream manageiq because it was caused by the order in which the upstream PR was backported to euwe.

Comment 4 CFME Bot 2017-03-10 21:56:12 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/3cc64a71a8ae38aa5051fd1bd76f505d2ffe7bb1

commit 3cc64a71a8ae38aa5051fd1bd76f505d2ffe7bb1
Author:     Joe Rafaniello <jrafanie@redhat.com>
AuthorDate: Mon Feb 20 13:29:42 2017 -0500
Commit:     Joe Rafaniello <jrafanie@redhat.com>
CommitDate: Mon Feb 20 13:33:46 2017 -0500

    Hash key 'terminate' was duplicated due to backport PR order
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1423470
    
    b6913002e51033 for PR #11418 was backported before
    084ecea58bfb4f for PR #11018, causing some git context to bring
    over the :terminate key twice.

 app/models/mixins/supports_feature_mixin.rb | 1 -
 1 file changed, 1 deletion(-)

Comment 5 luke couzens 2017-03-22 22:01:30 UTC
Verified in 5.7.2.0

Comment 7 errata-xmlrpc 2017-04-12 14:38:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.